import * as i0 from '@angular/core';
import { EventEmitter, Component, Input, Output, Inject, Pipe, ViewChild, Injectable, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { Validators, ReactiveFormsModule } from '@angular/forms';
import * as i4 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import * as i1$1 from 'guma-ng-material-kit';
import { ConfirmDialog } from 'guma-ng-material-kit';
import * as i3 from 'guma-common-model';
import * as i6 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { SelectionModel } from '@angular/cdk/collections';
import * as i6$1 from '@angular/material/form-field';
import * as i7 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i10 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i8 from '@angular/material/table';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import * as i12 from '@angular/material/paginator';
import { MatPaginator, MatPaginatorModule } from '@angular/material/paginator';
import * as i4$1 from '@angular/cdk/layout';
import { Breakpoints } from '@angular/cdk/layout';
import * as i9 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i11 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i1$2 from '@angular/cdk/overlay';

class LibFileBreadcrumbComponent {
    constructor() {
        this.pathParts = [];
        this.click = new EventEmitter();
    }
    navigateTo(part) {
        this.click.emit(part.path);
    }
}
LibFileBreadcrumbComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: LibFileBreadcrumbComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
LibFileBreadcrumbComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: LibFileBreadcrumbComponent, selector: "lib-file-breadcrumb", inputs: { pathParts: "pathParts" }, outputs: { click: "click" }, ngImport: i0, template: "<div class=\"file-breadcrumb\" *ngIf=\"pathParts && pathParts.length>0\">\n    <span *ngFor=\"let part of pathParts\">\n      <span class=\"path-fragment\" (click)=\"navigateTo(part)\">{{part.name}}</span>\n    </span>\n</div>\n<div class=\"file-breadcrumb\" *ngIf=\"!pathParts || pathParts.length == 0\">\n      <span class=\"path-fragment\">/</span>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: LibFileBreadcrumbComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-file-breadcrumb', template: "<div class=\"file-breadcrumb\" *ngIf=\"pathParts && pathParts.length>0\">\n    <span *ngFor=\"let part of pathParts\">\n      <span class=\"path-fragment\" (click)=\"navigateTo(part)\">{{part.name}}</span>\n    </span>\n</div>\n<div class=\"file-breadcrumb\" *ngIf=\"!pathParts || pathParts.length == 0\">\n      <span class=\"path-fragment\">/</span>\n</div>\n" }]
        }], propDecorators: { pathParts: [{
                type: Input
            }], click: [{
                type: Output
            }] } });

class UploadMediaComponent {
    constructor(data, uxMessageService, fb, mediaService, dialogRef) {
        this.data = data;
        this.uxMessageService = uxMessageService;
        this.fb = fb;
        this.mediaService = mediaService;
        this.dialogRef = dialogRef;
        this.progressPercent = 0;
        this.progressCurrentFile = '';
        this.uploadInProgress = false;
        this.autoUpload = false;
        this.orgId = data.orgId;
        this.folder = data.folder ? data.folder : '/';
    }
    ngAfterViewInit() {
    }
    ngOnInit() {
        this.form = this.fb.group({
            media: ['', Validators.required]
        });
    }
    onFileChange(event) {
        if (event.target.files.length > 0) {
            const files = event.target.files;
            this.form.get('media').setValue(files);
        }
    }
    onSubmit() {
        if (!this.uploadInProgress) {
            this.uploadInProgress = true;
            for (const f of this.form.get('media').value) {
                const formData = new FormData();
                formData.append('file', f);
                formData.append('path', this.folder + (this.folder !== '/' ? '/' : '') + f.name);
                if (f.size) {
                    formData.append('size', f.size);
                }
                this.progressCurrentFile = this.progressCurrentFile + ' ' + f.name;
                const data = this.data;
                this.mediaService.upload(this.orgId, formData).subscribe((res) => {
                    if (res.done) {
                        data.uploadDone = true;
                        this.uploadInProgress = false;
                        this.dialogRef.close(this.data);
                    }
                    else {
                        this.progressPercent = res.progress;
                    }
                }, (err) => {
                    this.uploadInProgress = false;
                    console.log(err);
                    this.error = err;
                });
            }
        }
    }
}
UploadMediaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: UploadMediaComponent, deps: [{ token: MAT_DIALOG_DATA }, { token: i1$1.UXMessageService }, { token: i2.UntypedFormBuilder }, { token: i3.MediaService }, { token: i4.MatDialogRef }], target: i0.ɵɵFactoryTarget.Component });
UploadMediaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: UploadMediaComponent, selector: "ng-component", ngImport: i0, template: "<h2 mat-dialog-title i18n=\"@@ux.media.action.uploadtitle\" >Upload</h2>\n<mat-dialog-content class=\"container-spaced\">\n  <div>\n    <div *ngIf=\"error\">\n      <ng-container i18n>error:</ng-container> {{ error }}\n    </div>\n    <div *ngIf=\"uploadResponse?.status === 'error'\">\n      {{ uploadResponse.message }}\n    </div>\n    <div *ngIf=\"uploadResponse?.status === 'progress'\">\n      <mat-progress-bar mode=\"determinate\" value=\"+uploadResponse?.message\"></mat-progress-bar>\n    </div>\n    <form (ngSubmit)=\"onSubmit()\" [formGroup]=\"form\">\n      <div class=\"formwrapper {{uploadInProgress ? 'hidden' : ''}}\">\n        <input (change)=\"onFileChange($event)\" name=\"avatar\" type=\"file\" multiple />\n        <button type=\"submit\" i18n=\"@@ux.media.action.uploadactionbutton\" class=\"fa-primary-button\" [disabled]=\"!form.valid\">Upload</button>\n      </div>\n      <div class=\"progress-indicator\"  *ngIf=\"uploadInProgress\">\n        <label>{{progressCurrentFile}} <span class=\"progress-percent\">({{progressPercent}}%)</span></label>\n        <mat-progress-bar mode=\"determinate\" [value]=\"progressPercent\" color=\"accent\" ></mat-progress-bar>\n      </div>\n    </form>\n  </div>\n</mat-dialog-content>\n", styles: ["input[type=file]{overflow:hidden}.progress-indicator{margin-top:20px}.progress-percent{font-style:italic}.formwrapper{text-align:center}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i4.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "component", type: i6.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: UploadMediaComponent, decorators: [{
            type: Component,
            args: [{ template: "<h2 mat-dialog-title i18n=\"@@ux.media.action.uploadtitle\" >Upload</h2>\n<mat-dialog-content class=\"container-spaced\">\n  <div>\n    <div *ngIf=\"error\">\n      <ng-container i18n>error:</ng-container> {{ error }}\n    </div>\n    <div *ngIf=\"uploadResponse?.status === 'error'\">\n      {{ uploadResponse.message }}\n    </div>\n    <div *ngIf=\"uploadResponse?.status === 'progress'\">\n      <mat-progress-bar mode=\"determinate\" value=\"+uploadResponse?.message\"></mat-progress-bar>\n    </div>\n    <form (ngSubmit)=\"onSubmit()\" [formGroup]=\"form\">\n      <div class=\"formwrapper {{uploadInProgress ? 'hidden' : ''}}\">\n        <input (change)=\"onFileChange($event)\" name=\"avatar\" type=\"file\" multiple />\n        <button type=\"submit\" i18n=\"@@ux.media.action.uploadactionbutton\" class=\"fa-primary-button\" [disabled]=\"!form.valid\">Upload</button>\n      </div>\n      <div class=\"progress-indicator\"  *ngIf=\"uploadInProgress\">\n        <label>{{progressCurrentFile}} <span class=\"progress-percent\">({{progressPercent}}%)</span></label>\n        <mat-progress-bar mode=\"determinate\" [value]=\"progressPercent\" color=\"accent\" ></mat-progress-bar>\n      </div>\n    </form>\n  </div>\n</mat-dialog-content>\n", styles: ["input[type=file]{overflow:hidden}.progress-indicator{margin-top:20px}.progress-percent{font-style:italic}.formwrapper{text-align:center}\n"] }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }, { type: i1$1.UXMessageService }, { type: i2.UntypedFormBuilder }, { type: i3.MediaService }, { type: i4.MatDialogRef }];
    } });

class CreateFolderComponent {
    constructor(data, uxMessageService, fb, mediaService, dialogRef) {
        this.data = data;
        this.uxMessageService = uxMessageService;
        this.fb = fb;
        this.mediaService = mediaService;
        this.dialogRef = dialogRef;
        this.orgId = data.orgId;
        this.currentFolder = data.folder;
    }
    ngOnInit() {
        this.form = this.fb.group({
            folderName: ['', Validators.required]
        });
    }
    onSubmit() {
        this.mediaService.createFolder(this.orgId, this.currentFolder + (this.currentFolder !== '/' ? '/' : '') +
            this.form.value.folderName).subscribe((a) => {
            this.dialogRef.close();
        }, (err) => {
            this.uxMessageService.handleError(err);
        });
    }
}
CreateFolderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: CreateFolderComponent, deps: [{ token: MAT_DIALOG_DATA }, { token: i1$1.UXMessageService }, { token: i2.UntypedFormBuilder }, { token: i3.MediaService }, { token: i4.MatDialogRef }], target: i0.ɵɵFactoryTarget.Component });
CreateFolderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: CreateFolderComponent, selector: "ng-component", ngImport: i0, template: "<h2 mat-dialog-title i18n=\"@@ux.media.action.createfoldertitle\" >Enter the folder name</h2>\n<mat-dialog-content *ngIf=\"orgId\" class=\"container-spaced\">\n  <div>\n    <form (ngSubmit)=\"onSubmit()\" [formGroup]=\"form\">\n      <mat-form-field  class=\"col col-12\" appearance=\"outline\">\n        <mat-label i18n=\"@@ux.media.action.createfolder.label.name\">Name</mat-label>\n        <input formControlName=\"folderName\" matInput/>\n      </mat-form-field>\n\n    </form>\n  </div>\n</mat-dialog-content>\n<mat-dialog-actions align=\"end\">\n  <div>\n    <button type=\"submit\" i18n=\"@@ux.media.action.createfolderaction\" mat-flat-button color=\"accent\" class=\"fa-primary-button\" (click)=\"onSubmit()\" [disabled]=\"!form.valid\">Create</button>\n  </div>\n</mat-dialog-actions>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: i6$1.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6$1.MatLabel, selector: "mat-label" }, { kind: "directive", type: i7.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i4.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i4.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i4.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "component", type: i10.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: CreateFolderComponent, decorators: [{
            type: Component,
            args: [{ template: "<h2 mat-dialog-title i18n=\"@@ux.media.action.createfoldertitle\" >Enter the folder name</h2>\n<mat-dialog-content *ngIf=\"orgId\" class=\"container-spaced\">\n  <div>\n    <form (ngSubmit)=\"onSubmit()\" [formGroup]=\"form\">\n      <mat-form-field  class=\"col col-12\" appearance=\"outline\">\n        <mat-label i18n=\"@@ux.media.action.createfolder.label.name\">Name</mat-label>\n        <input formControlName=\"folderName\" matInput/>\n      </mat-form-field>\n\n    </form>\n  </div>\n</mat-dialog-content>\n<mat-dialog-actions align=\"end\">\n  <div>\n    <button type=\"submit\" i18n=\"@@ux.media.action.createfolderaction\" mat-flat-button color=\"accent\" class=\"fa-primary-button\" (click)=\"onSubmit()\" [disabled]=\"!form.valid\">Create</button>\n  </div>\n</mat-dialog-actions>\n" }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }, { type: i1$1.UXMessageService }, { type: i2.UntypedFormBuilder }, { type: i3.MediaService }, { type: i4.MatDialogRef }];
    } });

class FilePath {
    static fromStringPath(path) {
        path = path.replace('//', '/');
        const fp = new FilePath();
        // '/' are only used inside the path
        if (path.startsWith('/')) {
            path = path.substr(1, path.length);
        }
        if (path.endsWith('/')) {
            path = path.substr(0, path.length - 1);
        }
        let parts = null;
        if (path !== '') {
            parts = path.split('/');
        }
        else {
            parts = [];
        }
        const partsFormatted = [];
        let navigation = '/';
        // add the root
        partsFormatted.push({ name: '/', path: '/' });
        for (const part of parts) {
            navigation = navigation + part + '/';
            partsFormatted.push({ name: part, path: navigation });
        }
        fp.pathParts = partsFormatted;
        console.log(fp.pathParts);
        return fp;
    }
}

class PrettyOctetPipe {
    transform(value) {
        if (!value) {
            return '-';
        }
        (6).toLocaleString('en-US', { maximumFractionDigits: 2 });
        let val = '-';
        if (value > 1024 * 1024 * 1024) { // go
            val = (value / (1024 * 1024 * 1024)).toLocaleString('en-US', { maximumFractionDigits: 2 }) + ' Go';
        }
        else if (value > 1024 * 1024) { // mo
            val = (value / (1024 * 1024)).toLocaleString('en-US', { maximumFractionDigits: 2 }) + ' Mo';
        }
        else if (value > 1024) { // ko
            val = (value / (1024)).toLocaleString('en-US', { maximumFractionDigits: 2 }) + ' ko';
        }
        else {
            val = value + ' o';
        }
        return val;
    }
}
PrettyOctetPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: PrettyOctetPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
PrettyOctetPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.8", ngImport: i0, type: PrettyOctetPipe, name: "prettyOctet" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: PrettyOctetPipe, decorators: [{
            type: Pipe,
            args: [{ name: 'prettyOctet' }]
        }] });

class MediaBrowserComponent {
    constructor(mediaService, dialog, uxMessageService, breakpointObserver) {
        this.mediaService = mediaService;
        this.dialog = dialog;
        this.uxMessageService = uxMessageService;
        this.breakpointObserver = breakpointObserver;
        this.displayedColumnsRaw = ['select', 'nameMobile', 'action'];
        this.displayedColumnsMobile = ['select', 'nameMobile', 'action'];
        this.displayedColumns = this.displayedColumnsRaw;
        this.mobile = false;
        this.showDeleteButton = true;
        this.$currentFolder = '/';
        this.dataSource = new MatTableDataSource([]);
        this.showUpload = false;
        this.selection = null;
        this.$multiFiles = false;
        this.selectedFileChoose = new EventEmitter();
        breakpointObserver.observe([Breakpoints.Medium, Breakpoints.Large, Breakpoints.XLarge]).subscribe(result => {
            if (result.matches) {
                this.displayedColumns = this.displayedColumnsRaw;
                this.mobile = false;
            }
            else {
                this.displayedColumns = this.displayedColumnsMobile;
                this.mobile = true;
            }
        });
    }
    set currentFolder(folder) {
        if (this.$currentFolder !== folder) {
            this.$currentFolder = folder;
            this.refreshList();
        }
    }
    get currentFolder() {
        return this.$currentFolder;
    }
    set multiFiles(m) {
        var _a;
        this.$multiFiles = m;
        if (((_a = this.selection) === null || _a === void 0 ? void 0 : _a.isMultipleSelection()) !== m) {
            this.initSelection();
        }
    }
    get multiFiles() {
        return this.$multiFiles;
    }
    ngOnInit() {
        this.refreshList();
        this.initSelection();
    }
    initSelection() {
        if (this.selection) {
            this.selection.changed.unsubscribe();
        }
        this.selection = new SelectionModel(this.multiFiles, []);
        this.selection.changed.subscribe((vals) => {
            this.selectedFileChoose.emit(vals.source.selected);
        });
    }
    refreshList() {
        this.mediaService.list(this.orgId, this.currentFolder, '', 0, 20).subscribe((medias) => {
            this.dataSource.data = medias.content;
        });
    }
    ngAfterViewInit() {
        this.dataSource.paginator = this.paginator;
    }
    addFile() {
        const dialogRef = this.dialog.open(UploadMediaComponent, {
            width: '450px', data: { orgId: this.orgId, folder: this.currentFolder }
        });
        dialogRef.afterClosed().subscribe(result => {
            if (result.uploadDone) {
                setTimeout(() => this.refreshList(), 2000);
            }
        });
    }
    addFolder() {
        const dialogRef = this.dialog.open(CreateFolderComponent, {
            width: '450px', data: { orgId: this.orgId, folder: this.currentFolder }
        });
        dialogRef.afterClosed().subscribe(result => {
            setTimeout(() => this.refreshList(), 200);
        });
    }
    closeAddFile() {
        this.showUpload = false;
    }
    download(element) {
        window.open(`/media/v1/m/${this.orgId}/files/${element.id}`, '_blank');
    }
    deleteSelection() {
        const dialogRef = this.dialog.open(ConfirmDialog);
        dialogRef.afterClosed().subscribe(result => {
            if (result) {
                this.deleteSelectionConfirm();
            }
        });
    }
    deleteSelectionConfirm() {
        const selectedFiles = this.selection.selected;
        for (const selectedFile of selectedFiles) {
            this.deleteMedia(selectedFile);
        }
    }
    delete(element) {
        const dialogRef = this.dialog.open(ConfirmDialog);
        dialogRef.afterClosed().subscribe(result => {
            if (result) {
                this.deleteMedia(element);
            }
        });
    }
    deleteMedia(element) {
        if (element.mimeType !== 'fa/folder') {
            this.mediaService.delete(this.orgId, element).subscribe(() => {
                // display message
                this.refreshList();
                this.uxMessageService.handleSuccess('File deleted');
            });
        }
        else {
            this.mediaService.deleteFolder(this.orgId, element).subscribe(() => {
                // display message
                this.refreshList();
                this.uxMessageService.handleSuccess('File deleted');
            });
        }
    }
    isAllSelected() {
        var _a;
        const numSelected = this.selection.selected.length;
        const numRows = (_a = this.dataSource.data) === null || _a === void 0 ? void 0 : _a.length;
        return numSelected === numRows;
    }
    masterToggle() {
        this.isAllSelected() ?
            this.selection.clear() :
            this.dataSource.data.forEach(row => this.selection.select(row));
    }
    checkboxLabel(row) {
        if (!row) {
            return `${this.isAllSelected() ? 'select' : 'deselect'} all`;
        }
        return `${this.selection.isSelected(row) ? 'deselect' : 'select'}`;
    }
    navigateTo(path) {
        this.pathParts = FilePath.fromStringPath(path).pathParts;
        this.currentFolder = path.replace('//', '/');
    }
    applyFilter(event) {
        const filterValue = event.target.value;
        this.dataSource.filter = filterValue.trim().toLowerCase();
        if (this.dataSource.paginator) {
            this.dataSource.paginator.firstPage();
        }
    }
}
MediaBrowserComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: MediaBrowserComponent, deps: [{ token: i3.MediaService }, { token: i4.MatDialog }, { token: i1$1.UXMessageService }, { token: i4$1.BreakpointObserver }], target: i0.ɵɵFactoryTarget.Component });
MediaBrowserComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: MediaBrowserComponent, selector: "lib-media-browser", inputs: { orgId: "orgId", showDeleteButton: "showDeleteButton", multiFiles: "multiFiles" }, outputs: { selectedFileChoose: "selectedFileChoose" }, viewQueries: [{ propertyName: "paginator", first: true, predicate: MatPaginator, descendants: true }], ngImport: i0, template: "\n<div>\n\n  <div class=\"row  grid grid-cols-1 md:grid-cols-2\">\n    <div>\n      <mat-form-field appearance=\"outline\" class=\"col col-4 \">\n        <mat-label>Filter</mat-label>\n        <input matInput (keyup)=\"applyFilter($event)\"  #input>\n      </mat-form-field>\n    </div>\n    <div role=\"actions\" class=\"col col-6 offset-2  mt-1 \" style=\"{{mobile?'text-align: left':'text-align:right'}}\">\n      <button (click)=\"addFile()\" class=\"add-file-button block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.addFile\" mat-button>Add\n        file\n      </button>\n      <button (click)=\"addFolder()\" style=\"margin-left: 10px;\" class=\"add-file-button  block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.createFolder\" mat-button>Create folder</button>\n      <button  *ngIf=\"selection?.selected?.length>0\" (click)=\"deleteSelection()\" class=\"add-file-button  block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.deleteSelection\" mat-button>Delete selected</button>\n    </div>\n  </div>\n  <lib-file-breadcrumb (click)=\"navigateTo($event)\" [pathParts]=\"pathParts\"></lib-file-breadcrumb>\n  <div class=\"file-table-container\">\n    <table [dataSource]=\"dataSource\" mat-table class=\"admin2-table\">\n\n\n      <ng-container matColumnDef=\"select\">\n        <th mat-header-cell  *matHeaderCellDef style=\"width:25px\">\n          <mat-checkbox (change)=\"$event ? masterToggle() : null\"\n                        [checked]=\"selection.hasValue() && isAllSelected()\"\n                        [indeterminate]=\"selection.hasValue() && !isAllSelected()\"\n                        [aria-label]=\"checkboxLabel()\" >\n          </mat-checkbox>\n        </th>\n        <td mat-cell *matCellDef=\"let row\" style=\" padding-top: 7px;\">\n          <mat-checkbox (click)=\"$event.stopPropagation()\"\n                        (change)=\"$event ? selection.toggle(row) : null\"\n                        [checked]=\"selection.isSelected(row)\"\n                        [aria-label]=\"checkboxLabel(row)\" *ngIf=\"row.mimeType != 'fa/folder'\">\n          </mat-checkbox>\n          <mat-icon *ngIf=\"row.mimeType == 'fa/folder'\">folder</mat-icon>\n        </td>\n      </ng-container>\n\n      <td mat-cell *matCellDef=\"let row\">\n        <mat-checkbox (click)=\"$event.stopPropagation()\"\n                      (change)=\"$event ? selection.toggle(row) : null\"\n                      [checked]=\"selection.isSelected(row)\"\n                      [aria-label]=\"checkboxLabel(row)\">\n        </mat-checkbox>\n      </td>\n\n      <ng-container matColumnDef=\"name\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileName\" mat-header-cell> Name.</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"name-cell\" >\n          <span *ngIf=\"element.mimeType != 'fa/folder'\" (click)=\"selection.toggle(element)\">\n            {{element.name}}\n          </span>\n          <span *ngIf=\"element.mimeType == 'fa/folder'\" (click)=\"navigateTo(element.path)\">\n            {{element.name}}\n          </span>\n          <span class=\"file-status\" *ngIf=\"element.status != 'CREATED'\">\n             {{element.status}}\n          </span>\n        </td>\n      </ng-container>\n      <ng-container matColumnDef=\"nameMobile\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileName\" mat-header-cell> Name.</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"name-cell\" >\n          <div class=\"text-plus\">\n          <span *ngIf=\"element.mimeType != 'fa/folder'\" (click)=\"selection.toggle(element)\">\n            {{element.name}}\n          </span>\n          <span *ngIf=\"element.mimeType == 'fa/folder'\" (click)=\"navigateTo(element.path)\">\n            {{element.name}}\n          </span>\n          </div>\n          <div class=\"text-minus\">\n            {{element.size | prettyOctet}}\n          </div>\n          <div class=\"file-status\" *ngIf=\"element.status != 'CREATED'\">\n             {{element.status}}\n          </div>\n\n        </td>\n      </ng-container>\n\n      <ng-container matColumnDef=\"size\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileSize\" mat-header-cell> Size</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"size-cell\"> {{element.size | prettyOctet}} </td>\n      </ng-container>\n\n      <ng-container matColumnDef=\"action\">\n        <th *matHeaderCellDef mat-header-cell class=\"w-7\"></th>\n        <td *matCellDef=\"let element\" mat-cell class=\"action-cell\">\n          <a (click)=\"download(element)\" mat-button *ngIf=\"element.mimeType != 'fa/folder'  && element.status == 'CREATED'\">\n            <mat-icon>cloud_download</mat-icon>\n          </a>\n          <a (click)=\"delete(element)\" *ngIf=\"showDeleteButton && element.status == 'CREATED'\" mat-button>\n            <mat-icon>delete</mat-icon>\n          </a>\n        </td>\n      </ng-container>\n\n      <tr *matHeaderRowDef=\"displayedColumns; sticky: true\" mat-header-row></tr>\n      <tr  *matRowDef=\"let row; columns: displayedColumns;\" mat-row></tr>\n    </table>\n\n    <mat-paginator #paginator  hidePageSize></mat-paginator>\n\n  </div>\n</div>\n\n\n", styles: ["a{cursor:pointer}table{width:100%}.create-buttons{text-align:right}.file-table-container{max-height:100%;overflow:auto}.name-cell,.size-cell{cursor:pointer}.action-cell{width:95px}.action-cell>a{display:inline-block;padding:0;margin:0 4px;min-width:0}.file-breadcrumb{padding-left:24px;margin:4px 0}.file-breadcrumb .path-fragment{display:inline-block;padding:2px 8px;background:var(--color-100);border-radius:4px;margin-right:4px;font-size:10px;cursor:pointer}.file-status{font-size:.8rem;background:var(--color-800);color:var(--contrast-80);display:inline-block;padding:4px 8px;border-radius:10px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i6$1.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6$1.MatLabel, selector: "mat-label" }, { kind: "directive", type: i7.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i8.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i8.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i8.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i8.MatColumnDef, selector: "[matColumnDef]", inputs: ["sticky", "matColumnDef"] }, { kind: "directive", type: i8.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i8.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i8.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i8.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i8.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i8.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "component", type: i9.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i10.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i10.MatAnchor, selector: "a[mat-button], a[mat-raised-button], a[mat-icon-button], a[mat-fab],             a[mat-mini-fab], a[mat-stroked-button], a[mat-flat-button]", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matButton", "matAnchor"] }, { kind: "component", type: i11.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: i12.MatPaginator, selector: "mat-paginator", inputs: ["disabled"], exportAs: ["matPaginator"] }, { kind: "component", type: LibFileBreadcrumbComponent, selector: "lib-file-breadcrumb", inputs: ["pathParts"], outputs: ["click"] }, { kind: "pipe", type: PrettyOctetPipe, name: "prettyOctet" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: MediaBrowserComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-media-browser', template: "\n<div>\n\n  <div class=\"row  grid grid-cols-1 md:grid-cols-2\">\n    <div>\n      <mat-form-field appearance=\"outline\" class=\"col col-4 \">\n        <mat-label>Filter</mat-label>\n        <input matInput (keyup)=\"applyFilter($event)\"  #input>\n      </mat-form-field>\n    </div>\n    <div role=\"actions\" class=\"col col-6 offset-2  mt-1 \" style=\"{{mobile?'text-align: left':'text-align:right'}}\">\n      <button (click)=\"addFile()\" class=\"add-file-button block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.addFile\" mat-button>Add\n        file\n      </button>\n      <button (click)=\"addFolder()\" style=\"margin-left: 10px;\" class=\"add-file-button  block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.createFolder\" mat-button>Create folder</button>\n      <button  *ngIf=\"selection?.selected?.length>0\" (click)=\"deleteSelection()\" class=\"add-file-button  block md:inline-block\" color=\"accent\" i18n=\"@@ux.media.action.deleteSelection\" mat-button>Delete selected</button>\n    </div>\n  </div>\n  <lib-file-breadcrumb (click)=\"navigateTo($event)\" [pathParts]=\"pathParts\"></lib-file-breadcrumb>\n  <div class=\"file-table-container\">\n    <table [dataSource]=\"dataSource\" mat-table class=\"admin2-table\">\n\n\n      <ng-container matColumnDef=\"select\">\n        <th mat-header-cell  *matHeaderCellDef style=\"width:25px\">\n          <mat-checkbox (change)=\"$event ? masterToggle() : null\"\n                        [checked]=\"selection.hasValue() && isAllSelected()\"\n                        [indeterminate]=\"selection.hasValue() && !isAllSelected()\"\n                        [aria-label]=\"checkboxLabel()\" >\n          </mat-checkbox>\n        </th>\n        <td mat-cell *matCellDef=\"let row\" style=\" padding-top: 7px;\">\n          <mat-checkbox (click)=\"$event.stopPropagation()\"\n                        (change)=\"$event ? selection.toggle(row) : null\"\n                        [checked]=\"selection.isSelected(row)\"\n                        [aria-label]=\"checkboxLabel(row)\" *ngIf=\"row.mimeType != 'fa/folder'\">\n          </mat-checkbox>\n          <mat-icon *ngIf=\"row.mimeType == 'fa/folder'\">folder</mat-icon>\n        </td>\n      </ng-container>\n\n      <td mat-cell *matCellDef=\"let row\">\n        <mat-checkbox (click)=\"$event.stopPropagation()\"\n                      (change)=\"$event ? selection.toggle(row) : null\"\n                      [checked]=\"selection.isSelected(row)\"\n                      [aria-label]=\"checkboxLabel(row)\">\n        </mat-checkbox>\n      </td>\n\n      <ng-container matColumnDef=\"name\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileName\" mat-header-cell> Name.</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"name-cell\" >\n          <span *ngIf=\"element.mimeType != 'fa/folder'\" (click)=\"selection.toggle(element)\">\n            {{element.name}}\n          </span>\n          <span *ngIf=\"element.mimeType == 'fa/folder'\" (click)=\"navigateTo(element.path)\">\n            {{element.name}}\n          </span>\n          <span class=\"file-status\" *ngIf=\"element.status != 'CREATED'\">\n             {{element.status}}\n          </span>\n        </td>\n      </ng-container>\n      <ng-container matColumnDef=\"nameMobile\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileName\" mat-header-cell> Name.</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"name-cell\" >\n          <div class=\"text-plus\">\n          <span *ngIf=\"element.mimeType != 'fa/folder'\" (click)=\"selection.toggle(element)\">\n            {{element.name}}\n          </span>\n          <span *ngIf=\"element.mimeType == 'fa/folder'\" (click)=\"navigateTo(element.path)\">\n            {{element.name}}\n          </span>\n          </div>\n          <div class=\"text-minus\">\n            {{element.size | prettyOctet}}\n          </div>\n          <div class=\"file-status\" *ngIf=\"element.status != 'CREATED'\">\n             {{element.status}}\n          </div>\n\n        </td>\n      </ng-container>\n\n      <ng-container matColumnDef=\"size\">\n        <th *matHeaderCellDef i18n=\"@@ux.media.action.fileSize\" mat-header-cell> Size</th>\n        <td *matCellDef=\"let element\" mat-cell  class=\"size-cell\"> {{element.size | prettyOctet}} </td>\n      </ng-container>\n\n      <ng-container matColumnDef=\"action\">\n        <th *matHeaderCellDef mat-header-cell class=\"w-7\"></th>\n        <td *matCellDef=\"let element\" mat-cell class=\"action-cell\">\n          <a (click)=\"download(element)\" mat-button *ngIf=\"element.mimeType != 'fa/folder'  && element.status == 'CREATED'\">\n            <mat-icon>cloud_download</mat-icon>\n          </a>\n          <a (click)=\"delete(element)\" *ngIf=\"showDeleteButton && element.status == 'CREATED'\" mat-button>\n            <mat-icon>delete</mat-icon>\n          </a>\n        </td>\n      </ng-container>\n\n      <tr *matHeaderRowDef=\"displayedColumns; sticky: true\" mat-header-row></tr>\n      <tr  *matRowDef=\"let row; columns: displayedColumns;\" mat-row></tr>\n    </table>\n\n    <mat-paginator #paginator  hidePageSize></mat-paginator>\n\n  </div>\n</div>\n\n\n", styles: ["a{cursor:pointer}table{width:100%}.create-buttons{text-align:right}.file-table-container{max-height:100%;overflow:auto}.name-cell,.size-cell{cursor:pointer}.action-cell{width:95px}.action-cell>a{display:inline-block;padding:0;margin:0 4px;min-width:0}.file-breadcrumb{padding-left:24px;margin:4px 0}.file-breadcrumb .path-fragment{display:inline-block;padding:2px 8px;background:var(--color-100);border-radius:4px;margin-right:4px;font-size:10px;cursor:pointer}.file-status{font-size:.8rem;background:var(--color-800);color:var(--contrast-80);display:inline-block;padding:4px 8px;border-radius:10px}\n"] }]
        }], ctorParameters: function () { return [{ type: i3.MediaService }, { type: i4.MatDialog }, { type: i1$1.UXMessageService }, { type: i4$1.BreakpointObserver }]; }, propDecorators: { orgId: [{
                type: Input
            }], showDeleteButton: [{
                type: Input
            }], paginator: [{
                type: ViewChild,
                args: [MatPaginator]
            }], multiFiles: [{
                type: Input
            }], selectedFileChoose: [{
                type: Output
            }] } });

class FileChooserComponent {
    constructor(data) {
        this.data = data;
        this.multiFiles = false;
        this.orgId = data.orgId;
    }
    fileChoose(mediaResources) {
        this.data.medias = mediaResources;
        if (this.data.medias && this.data.medias.length > 0) {
            this.data.media = mediaResources[0];
        }
    }
    ngOnInit() {
    }
}
FileChooserComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: FileChooserComponent, deps: [{ token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
FileChooserComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: FileChooserComponent, selector: "ng-component", inputs: { multiFiles: "multiFiles" }, ngImport: i0, template: "<h2 i18n=\"@@ux.media.text.chooseFile\" mat-dialog-title>Choose a file</h2>\n<mat-dialog-content *ngIf=\"orgId\" class=\"container-spaced\">\n  <lib-media-browser (selectedFileChoose)=\"fileChoose($event)\" [orgId]=\"orgId\" [multiFiles]=\"multiFiles\"\n                     [showDeleteButton]=\"false\"></lib-media-browser>\n</mat-dialog-content>\n<div class=\"container-spaced\">\n  <mat-dialog-actions align=\"end\">\n    <span style=\"padding-bottom: 10px;padding-left: 4px;\" class=\"label-selection\" i18n>Selected files:</span>\n    <ul class=\"list-selected-files \" *ngIf=\"data?.medias?.length <= 2\">\n      <li *ngFor=\"let m of data?.medias\">{{m.path}}</li>\n    </ul>\n    <ul class=\"list-selected-files \" *ngIf=\"data?.medias?.length > 2\">\n      <li>{{data.medias.length}} files selected</li>\n    </ul>\n\n    <div class=\"inline-block md:block md:mt-2\">\n      <button i18n=\"@@ux.media.action.cancel\" mat-button mat-dialog-close class=\"cancel-button\">Cancel</button>\n      <button *ngIf=\"data.media\" [mat-dialog-close]=\"data\" cdkFocusInitial mat-button mat-raised-button class=\"primary-button\"><span\n        i18n=\"@@ux.media.action.select\">Select</span></button>\n\n      <button *ngIf=\"!data.media\"  mat-button mat-raised-button class=\"cancel-button\" type=\"button\"><span\n        i18n=\"@@ux.media.action.select\">Select</span></button>\n\n    </div>\n\n  </mat-dialog-actions>\n</div>\n", styles: ["ul.list-selected-files{flex:1;list-style:none;margin:0;text-align:left;padding:0 8px}ul.list-selected-files li{padding:0;margin:0;display:inline-block;max-width:80%;text-overflow:ellipsis}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i4.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["aria-label", "type", "mat-dialog-close", "matDialogClose"], exportAs: ["matDialogClose"] }, { kind: "directive", type: i4.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i4.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i4.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "component", type: i10.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: MediaBrowserComponent, selector: "lib-media-browser", inputs: ["orgId", "showDeleteButton", "multiFiles"], outputs: ["selectedFileChoose"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: FileChooserComponent, decorators: [{
            type: Component,
            args: [{ template: "<h2 i18n=\"@@ux.media.text.chooseFile\" mat-dialog-title>Choose a file</h2>\n<mat-dialog-content *ngIf=\"orgId\" class=\"container-spaced\">\n  <lib-media-browser (selectedFileChoose)=\"fileChoose($event)\" [orgId]=\"orgId\" [multiFiles]=\"multiFiles\"\n                     [showDeleteButton]=\"false\"></lib-media-browser>\n</mat-dialog-content>\n<div class=\"container-spaced\">\n  <mat-dialog-actions align=\"end\">\n    <span style=\"padding-bottom: 10px;padding-left: 4px;\" class=\"label-selection\" i18n>Selected files:</span>\n    <ul class=\"list-selected-files \" *ngIf=\"data?.medias?.length <= 2\">\n      <li *ngFor=\"let m of data?.medias\">{{m.path}}</li>\n    </ul>\n    <ul class=\"list-selected-files \" *ngIf=\"data?.medias?.length > 2\">\n      <li>{{data.medias.length}} files selected</li>\n    </ul>\n\n    <div class=\"inline-block md:block md:mt-2\">\n      <button i18n=\"@@ux.media.action.cancel\" mat-button mat-dialog-close class=\"cancel-button\">Cancel</button>\n      <button *ngIf=\"data.media\" [mat-dialog-close]=\"data\" cdkFocusInitial mat-button mat-raised-button class=\"primary-button\"><span\n        i18n=\"@@ux.media.action.select\">Select</span></button>\n\n      <button *ngIf=\"!data.media\"  mat-button mat-raised-button class=\"cancel-button\" type=\"button\"><span\n        i18n=\"@@ux.media.action.select\">Select</span></button>\n\n    </div>\n\n  </mat-dialog-actions>\n</div>\n", styles: ["ul.list-selected-files{flex:1;list-style:none;margin:0;text-align:left;padding:0 8px}ul.list-selected-files li{padding:0;margin:0;display:inline-block;max-width:80%;text-overflow:ellipsis}\n"] }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }];
    }, propDecorators: { multiFiles: [{
                type: Input
            }] } });

class PathPart {
}

class GumaNgMediaService {
    constructor() {
    }
}
GumaNgMediaService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
GumaNgMediaService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class GumaNgMediaComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
GumaNgMediaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
GumaNgMediaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.8", type: GumaNgMediaComponent, selector: "lib-guma-ng-media", ngImport: i0, template: `
    <p>
      guma-ng-media works!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-guma-ng-media', template: `
    <p>
      guma-ng-media works!
    </p>
  ` }]
        }], ctorParameters: function () { return []; } });

class GumaNgMediaModule {
    constructor(overlayContainer) {
        overlayContainer.getContainerElement().classList.add('theme-01');
    }
}
GumaNgMediaModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaModule, deps: [{ token: i1$2.OverlayContainer }], target: i0.ɵɵFactoryTarget.NgModule });
GumaNgMediaModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaModule, declarations: [GumaNgMediaComponent,
        UploadMediaComponent,
        MediaBrowserComponent,
        FileChooserComponent,
        PrettyOctetPipe,
        CreateFolderComponent,
        LibFileBreadcrumbComponent], imports: [CommonModule,
        ReactiveFormsModule,
        MatInputModule,
        MatTableModule,
        MatDialogModule,
        MatIconModule,
        MatButtonModule,
        MatCheckboxModule,
        MatProgressBarModule,
        MatPaginatorModule], exports: [GumaNgMediaComponent, UploadMediaComponent, MediaBrowserComponent, FileChooserComponent, CreateFolderComponent, PrettyOctetPipe, LibFileBreadcrumbComponent] });
GumaNgMediaModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaModule, imports: [CommonModule,
        ReactiveFormsModule,
        MatInputModule,
        MatTableModule,
        MatDialogModule,
        MatIconModule,
        MatButtonModule,
        MatCheckboxModule,
        MatProgressBarModule,
        MatPaginatorModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.8", ngImport: i0, type: GumaNgMediaModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        GumaNgMediaComponent,
                        UploadMediaComponent,
                        MediaBrowserComponent,
                        FileChooserComponent,
                        PrettyOctetPipe,
                        CreateFolderComponent,
                        LibFileBreadcrumbComponent,
                    ],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatInputModule,
                        MatTableModule,
                        MatDialogModule,
                        MatIconModule,
                        MatButtonModule,
                        MatCheckboxModule,
                        MatProgressBarModule,
                        MatPaginatorModule
                    ],
                    exports: [GumaNgMediaComponent, UploadMediaComponent, MediaBrowserComponent, FileChooserComponent, CreateFolderComponent, PrettyOctetPipe, LibFileBreadcrumbComponent]
                }]
        }], ctorParameters: function () { return [{ type: i1$2.OverlayContainer }]; } });

/*
 * Public API Surface of guma-ng-media
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CreateFolderComponent, FileChooserComponent, FilePath, GumaNgMediaComponent, GumaNgMediaModule, GumaNgMediaService, LibFileBreadcrumbComponent, MediaBrowserComponent, PathPart, PrettyOctetPipe, UploadMediaComponent };
//# sourceMappingURL=guma-ng-media.mjs.map
