import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { MediaResource, MediaService } from 'guma-common-model';
import { MatDialog } from '@angular/material/dialog';
import { UXMessageService } from "guma-ng-material-kit";
import { MatTableDataSource } from "@angular/material/table";
import { MatPaginator } from "@angular/material/paginator";
import { PathPart } from "./PathPart";
import { BreakpointObserver } from "@angular/cdk/layout";
import * as i0 from "@angular/core";
export declare class MediaBrowserComponent implements OnInit, AfterViewInit {
    protected mediaService: MediaService;
    protected dialog: MatDialog;
    protected uxMessageService: UXMessageService;
    protected breakpointObserver: BreakpointObserver;
    displayedColumnsRaw: string[];
    displayedColumnsMobile: string[];
    displayedColumns: string[];
    mobile: boolean;
    orgId: string;
    showDeleteButton: boolean;
    paginator: MatPaginator;
    protected $currentFolder: string;
    dataSource: MatTableDataSource<MediaResource>;
    set currentFolder(folder: string);
    get currentFolder(): string;
    showUpload: boolean;
    selection: any;
    protected $multiFiles: boolean;
    pathParts: PathPart[];
    set multiFiles(m: boolean);
    get multiFiles(): boolean;
    selectedFileChoose: EventEmitter<MediaResource[]>;
    constructor(mediaService: MediaService, dialog: MatDialog, uxMessageService: UXMessageService, breakpointObserver: BreakpointObserver);
    ngOnInit(): void;
    private initSelection;
    refreshList(): void;
    ngAfterViewInit(): void;
    addFile(): void;
    addFolder(): void;
    closeAddFile(): void;
    download(element: MediaResource): void;
    deleteSelection(): void;
    deleteSelectionConfirm(): void;
    delete(element: MediaResource): void;
    deleteMedia(element: MediaResource): void;
    isAllSelected(): boolean;
    masterToggle(): void;
    checkboxLabel(row?: MediaResource): string;
    navigateTo(path: string): void;
    applyFilter(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaBrowserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaBrowserComponent, "lib-media-browser", never, { "orgId": "orgId"; "showDeleteButton": "showDeleteButton"; "multiFiles": "multiFiles"; }, { "selectedFileChoose": "selectedFileChoose"; }, never, never, false>;
}
